uremove(3)

NAME
uremove - Removes a character from a string. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int uremove(char *s, int index);

DESCRIPTION
Removes the character at the specified `index' within the string, sliding the rest of the data back to fill the gap. If `index' is negative, it counts backward from the end of the string. Example:
   int length_in_bytes = ustrsizez(text_string);
   ...
   length_in_bytes -= uremove(text_string, -1);

RETURN VALUE
Returns the number of bytes by which the trailing part of the string was moved.

SEE ALSO
uoffset(3), ugetat(3), usetat(3), uinsert(3)